## midiparse midiparse |

## Types and Values

struct | GstMidiParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstMidiParse

## Description

This element parses midi-files into midi events. You would need a midi renderer such as fluidsynth to convert the events into raw samples.

#### Example pipeline

    1
    gst-launch-1.0 filesrc location=song.mid ! midiparse ! fluiddec ! pulsesink

This example pipeline will parse the midi and render to raw audio which is played via pulseaudio.

## Synopsis

### Element Information

plugin | midi
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Demuxer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/midi
| audio/riff-midi

name | src
direction | source
presence | always
details | audio/x-midi-event

## Functions

## Types and Values

### struct GstMidiParse

    struct GstMidiParse;

## See Also

fluiddec